﻿@model Tuple<List<SkuModelView>, List<ARGNSSizeRunView>, string>
<div id="accordionMain">
        <h2>Model SKUs</h2>
        <div id="myTabContentGeneral" class="tab-content">
            <div id="myTabContentSubGeneral" class="tab-content">
                <div class="panel-group" id="accordion3">
                    @{
                        int counter = 0;
                        foreach (var color in Model.Item1.Where(j => j.U_ARGNS_ITYPE != "P").GroupBy(c => c.U_ARGNS_COL))
                        {
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h4 class="panel-title">
                                        <a class="accordion-toggle @(counter == 0 ? "collapsed" : "" )" data-toggle="collapse" data-parent="#accordion3" href="#collapse-@color.Key.Replace(" ", "")">
                                            @color.Key - @Model.Item1.Where(g => g.U_ARGNS_COL == color.Key && g.U_ARGNS_ITYPE != "P").First().ColorDesc
                                        </a><i class="indicator glyphicon glyphicon-chevron-down  pull-right"></i>
                                    </h4>
                                </div>
                                <div id="collapse-@color.Key.Replace(" ", "")" class="panel-collapse collapse @(counter == 0 ? "in" : "")">
                                    <div class="panel-body" style="overflow-y: hidden; padding: 5px;">
                                        @if (!string.IsNullOrEmpty(Model.Item1.Where(j => j.U_ARGNS_ITYPE != "P").FirstOrDefault().U_ARGNS_VAR))
                                        {
                                            <div class="panel-group" id="accordion4">
                                                @foreach (var variable in Model.Item1.Where(c => c.U_ARGNS_COL == color.Key && c.U_ARGNS_ITYPE != "P").GroupBy(p => p.U_ARGNS_VAR).ToList())
                                                {
                                                    System.Text.StringBuilder sbOnHand = new System.Text.StringBuilder("<tr><td>" + "" + "</td>");

                                                    <div class="panel panel-default">

                                                        <div class="panel-heading">
                                                            <h4 class="panel-title">
                                                                <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion9" href="#collapse-@color.Key.Replace(" ", "")-@variable.Key.Replace(" ", "") ">
                                                                    @variable.Key - @Model.Item1.Where(g => g.U_ARGNS_VAR == variable.Key && g.U_ARGNS_ITYPE != "P").First().VarDesc
                                                                </a>
                                                                <i class="indicator glyphicon glyphicon-chevron-down  pull-right"></i>
                                                            </h4>
                                                        </div>
                                                        <div id="collapse-@color.Key.Replace(" ", "")-@variable.Key.Replace(" ", "")" class="panel-collapse collapse in">
                                                            <div class="panel-body" style="overflow-y: hidden; padding: 5px;">


                                                                @foreach (var info in Model.Item1.Where(c => c.U_ARGNS_COL == color.Key && c.U_ARGNS_VAR == variable.Key && c.U_ARGNS_ITYPE != "P").OrderBy(c => c.U_ARGNS_SCL).ThenBy(c => c.U_ARGNS_SIZEVO).ToList())
                                                                {

                                                                    sbOnHand.Append("<td>" + @Html.TextBox(info.ItemCode, "", new { @id = info.ItemCode, @class = "MatrixItems", @type = "number" }) + "<a class=\"MatrixItemsStock\" href='#'><span class=\"glyphicon glyphicon-info-sign\" onclick=\"GetStock('" + info.ItemCode+"')\"></span></a></td>");
                                                                }

                                                                <div class="table-responsive">
                                                                    <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                                                        <tbody>
                                                                            <tr>
                                                                                <th class="SizeRunTH" width="29%" align="left" valign="top" scope="col">
                                                                                    <table class="table SizeRunTable">
                                                                                        <thead>
                                                                                            <tr>
                                                                                                <th style="line-height: 20px;">&nbsp;</th>
                                                                                                <th style="line-height: 20px;">&nbsp;</th>
                                                                                                <th style="line-height: 20px;">&nbsp;</th>
                                                                                                <th style="line-height: 20px;">@PDM.Quantity</th>
                                                                                            </tr>
                                                                                        </thead>
                                                                                        <tbody>
                                                                                            <tr>
                                                                                                <td> Size Run </td>
                                                                                                <td></td>
                                                                                                <td>
                                                                                                    @Html.DropDownList("SizeRun" + color.Key + variable.Key, new SelectList(Model.Item2, "U_SizeRunCode", "U_SizeRunDesc"), new { @Id = "SizeRun" + color.Key + variable.Key, @class = "form-control", @onchange = "CalculateQuantyBySizeRun('"+ Model.Item3 + "', '" + color.Key + "', '" + variable.Key + "')" })
                                                                                                </td>
                                                                                                <td>
                                                                                                    @{
                                                                                                        string mSizeRunQty = "SizeRunQty" + color.Key + variable.Key;
                                                                                                        <input class="form-control" id="@mSizeRunQty" name="@mSizeRunQty" onchange="CalculateQuantyBySizeRun('@Model.Item3', '@color.Key', '@variable.Key')" type="number" @(Model.Item2.Count > 0 ? "value=0" : "value=0 disabled=disabled")>
                                                                                                    }
                                                                                                </td>
                                                                                            </tr>
                                                                                        </tbody>
                                                                                    </table>
                                                                                </th>
                                                                                <th width="1%" align="left" valign="top" scope="col">&nbsp;</th>
                                                                                <th class="CatalogSKUTH" width="70%" align="left" valign="top" scope="col">
                                                                                    <table class="table table-striped CatalogSKUTable">
                                                                                        <thead>
                                                                                            <tr>
                                                                                                <th style="line-height: 20px;">@PDM.Sizes</th>
                                                                                                @foreach (var sizes in Model.Item1.Where(j => j.U_ARGNS_ITYPE != "P" && j.U_ARGNS_COL == color.Key && j.U_ARGNS_VAR == variable.Key).OrderBy(c => c.U_ARGNS_SCL).ThenBy(c => c.U_ARGNS_SIZEVO).GroupBy(c => c.U_ARGNS_SIZE))
                                                                                                {
                                                                                                    <th style="line-height: 20px;">@sizes.Key</th>
                                                                                                }
                                                                                            </tr>
                                                                                        </thead>
                                                                                        <tbody>
                                                                                            @Html.Raw(sbOnHand.Append("</tr>"))

                                                                                        </tbody>
                                                                                    </table>
                                                                                </th>
                                                                            </tr>
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                }
                                            </div>
                                                                                                        }
                                                                                                        else
                                                                                                        {
                                                                                                            System.Text.StringBuilder sbOnHand = new System.Text.StringBuilder("<tr><td>" + "" + "</td>");

                                                                                                            foreach (var info in Model.Item1.Where(c => c.U_ARGNS_COL == color.Key && c.U_ARGNS_ITYPE != "P").OrderBy(c => c.U_ARGNS_SCL).ThenBy(c => c.U_ARGNS_SIZEVO).ToList())
                                                                                                            {
                                                                                                                string icon = "";
                                                                                                                if (info.HasStock)
                                                                                                                {
                                                                                                                    icon = "glyphicon-info-sign text-success";
                                                                                                                }
                                                                                                                else
                                                                                                                {
                                                                                                                    icon = "glyphicon-info-sign text-danger";
                                                                                                                }

                                                                                                                sbOnHand.Append("<td>" + @Html.TextBox(info.ItemCode, "",
                                                                                                                    new { @id = info.ItemCode, @class = "MatrixItems", @type = "number" }) +
                                                                                                                    "<a class=\"MatrixItemsStock\" href='#'>" +
                                                                                                                    "<span class=\"glyphicon " + icon + "\" onclick=\"GetStock('"+
                                                                                                                    info.ItemCode+"')\"></span></a></td>");
                                                                                                            }
                                            <div class="table-responsive">
                                                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                                    <tbody>
                                                        <tr>
                                                            <th class="SizeRunTH" width="29%" align="left" valign="top" scope="col">
                                                                <table class="table SizeRunTable">
                                                                    <thead>
                                                                        <tr>
                                                                            <th style="line-height: 20px;">&nbsp;</th>
                                                                            <th style="line-height: 20px;">&nbsp;</th>
                                                                            <th style="line-height: 20px;">&nbsp;</th>
                                                                            <th style="line-height: 20px;">@PDM.Quantity</th>
                                                                        </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                        <tr>
                                                                            <td> Size Run </td>
                                                                            <td></td>
                                                                            <td>
                                                                                @Html.DropDownList("SizeRun" + color.Key, new SelectList(Model.Item2, "U_SizeRunCode", "U_SizeRunDesc"), new { @Id = "SizeRun" + color.Key, @class = "form-control", @onchange = "CalculateQuantyBySizeRun('" + Model.Item3 + "','" + color.Key + "', '')" })
                                                                            </td>
                                                                            <td>
                                                                                @{
                                                                                    string mSizeRunQty = "SizeRunQty" + color.Key;
                                                                                    <input class="form-control" id="@mSizeRunQty" name="@mSizeRunQty" onchange="CalculateQuantyBySizeRun('@Model.Item3', '@color.Key', '')" type="number" @(Model.Item2.Count > 0 ? "value=0" : "value=0 disabled=disabled")>
                                                                                }
                                                                            </td>
                                                                        </tr>
                                                                    </tbody>
                                                                </table>
                                                            </th>
                                                            <th width="1%" align="left" valign="top" scope="col">&nbsp;</th>
                                                            <th class="CatalogSKUTH" width="70%" align="left" valign="top" scope="col">
                                                                <table class="table table-striped CatalogSKUTable">
                                                                    <thead>
                                                                        <tr>
                                                                            <th style="line-height: 20px;">@PDM.Sizes</th>
                                                                            @if (Model.Item1.Where(j => j.U_ARGNS_ITYPE != "P").FirstOrDefault().U_ARGNS_SIZE != null && Model.Item1.Where(j => j.U_ARGNS_ITYPE != "P").FirstOrDefault().U_ARGNS_SIZE != "")
                                                                            {
                                                                                foreach (var sizes in Model.Item1.Where(j => j.U_ARGNS_ITYPE != "P" && j.U_ARGNS_COL == color.Key).OrderBy(c => c.U_ARGNS_SCL).ThenBy(c => c.U_ARGNS_SIZEVO).GroupBy(c => c.U_ARGNS_SIZE))
                                                                                {
                                                                                    <th style="line-height:20px;">@sizes.Key</th>
                                                                                }
                                                                            }
                                                                            else
                                                                            {
                                                                                <th style="line-height: 20px;">@PDM.RequiredQuantity </th>
                                                                            }
                                                                        </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                        @Html.Raw(sbOnHand.Append("</tr>"))
                                                                    </tbody>
                                                                </table>
                                                            </th>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        }
                                    </div>
                                </div>
                            </div>
                            counter = counter + 1;
                        }

                    }
                </div>
            </div>
            <!--///////// Close BLOKE/////////-->
            <div class="clearfix"></div>


        </div>
        <h2>Model Prepacks</h2>
        <div id="myTabContentGeneralPrepack" class="tab-content">
            <div id="myTabContentSubGeneral" class="tab-content">
                <div class="panel-group" id="accordionPrepack">
                        @foreach (var mColor in Model.Item1.Where(c => c.U_ARGNS_ITYPE == "P").GroupBy(p => p.U_ARGNS_COL))
                        {
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h4 class="panel-title">
                                        <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordionPrepack" href="#collapse-prepackcolor-@mColor.Key">
                                            @mColor.Key  - @Model.Item1.Where(g => g.U_ARGNS_COL == mColor.Key && g.U_ARGNS_ITYPE != "P").First().ColorDesc
                                        </a><i class="indicator glyphicon glyphicon-chevron-down  pull-right"></i>
                                    </h4>
                                </div>
                                <div id="collapse-prepackcolor-@mColor.Key" class="panel-collapse collapse in">
                                    <div class="panel-body" style="overflow-y: hidden; padding: 5px;">
                                        <div class="panel-group" id="accordion4">
                                            <div class="panel-body" style="overflow-y: hidden; padding: 5px;">
                                                <div class="table-responsive">
                                                    <table class="table table-striped">
                                                        <thead>
                                                            <tr>
                                                                <th style="line-height: 20px;">Prepack</th>
                                                                <th style="line-height: 20px;">Prepack Desc</th>
                                                                <th style="line-height:20px;">Select Quantity</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            @foreach (SkuModelView mItemPrepack in Model.Item1.Where(c => c.U_ARGNS_ITYPE == "P" && c.U_ARGNS_COL == mColor.Key))
                                                            {
                                                                <tr>
                                                                    <td><input class="form-control" disabled="disabled" value="@mItemPrepack.ItemCode" title="@mItemPrepack.U_PpSizeRun"></td>
                                                                    <td><input class="form-control" disabled="disabled" value="@mItemPrepack.U_PpDesc"></td>
                                                                    <td><input class="MatrixItems" type="number" value="0" name="@mItemPrepack.ItemCode" id="@mItemPrepack.ItemCode"><a class="MatrixItemsStock" href='#'><span class="glyphicon glyphicon-info-sign" onclick="GetStock('@mItemPrepack.ItemCode')"></span></a></td>
                                                                </tr>
                                                            }
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        }
                            
                </div>
            </div>
            <!--///////// Close BLOKE/////////-->
            <div class="clearfix"></div>
        </div>
</div>


<script>
    var mListSearchUDF = $("input[id^=SizeRunQty]");

    for (i = 0; i < mListSearchUDF.length; i++) {
        $("#" + mListSearchUDF[i].id).trigger('change');

    }
</script>

<script>
    fit_modal_body($('.modal'));
</script>